<?php
spAddViewFunction('pager', '__template_pager');
function __template_pager($params){
	if( !isset($params['pager']) || empty($params['pager']) )return '';
	$args = array();
	foreach( $params as $k => $v )if( !in_array($k, array('c','a','pager','myclass','mypage','offset')) )$args[$k] = $v;
	$pagerhandle = isset($params['pager']['mypage']) ? $params['pager']['mypage'] : 'p';
	$html = "<div class=\"{$params['myclass']}\">";
	if( $params['pager']['current_page'] != $params['pager']['first_page'] ){
		$url = spUrl($params['c'], $params['a'], $args + array($pagerhandle => $params['pager']['prev_page']));
		$html .= "<a href=\"{$url}\">&lt; Prev</a>";
	}else{
		$html .= "<span class=\"disabled\">&lt; Prev</span>";
	}
	$offset = $params['offset'] ? $params['offset'] : 200; // 鍙互鍦�<{pager}>鍐呯敤offset=x鏉ヨ皟鏁�

    foreach( $params['pager']['all_pages'] as $p ){
            if( $p == $params['pager']['current_page'] ){
                    $html .= "<span class=\"current\">{$p}</span>";
            }else{
                    if( ($params['pager']['current_page'] < $offset && $p < $offset ) ||
                            ($params['pager']['current_page'] > $params['pager']['last_page'] - $offset && $p > $params['pager']['last_page'] - $offset ) ||
                            ( $p < $params['pager']['current_page'] + $offset && $p > $params['pager']['current_page'] - $offset )
                     ){
                            $url = spUrl($params['c'], $params['a'], $args + array($pagerhandle => $p));
                            $html .= "<a href=\"$url\">{$p}</a>";
                    }
            }
    }
	if( $params['pager']['current_page'] != $params['pager']['last_page'] ){
		$url = spUrl($params['c'], $params['a'], $args + array($pagerhandle => $params['pager']['next_page']));
		$html .= "<a href=\"$url\">Next &gt;</a>";
	}else{
		$html .= "<span class=\"disabled\">Next &gt;</span>";
	}
	$html .= '</div>';
	return $html;
}
function mydate($time = null){
	if( null == $time )$time = time(); // 默认是当前时间
	if( $time > (time() - 3600) ){
		return  date("刚才 H:s", $time);
	}elseif( $time > (time() - 3600 * 24) ){
		return  date("今天 H:s", $time);
	}elseif( $time > (time() -  3600 * 24 * 2) ){
		return  date("昨天 H:s", $time);
	}elseif( $time > (time() -  3600 * 24 * 3) ){
		return  date("前天 H:s", $time);
	}else{
		return date("Y-m-d H:s", $time);
	}
}
// 将mydate注册到模板中使用，所以需要加入tpl_mydate函数进行一次封装
function tpl_mydate($params){
	return mydate($params['time']);
}
// 使用spAddViewFunction来注册，模板中使用thedate来进行调用
spAddViewFunction('thedate','tpl_mydate');
/**
  * spTimer
  *
  * 程序执行耗时函数
  * 
  *（非页面耗时）
  */
function spTimer() {
    static $a;
    if($a == 0) $a = microtime(true);
    else return (string)(microtime(true)-$a);
}
function spTime($ws) {
    return round( spTimer(),$ws['ws']);
}
spAddViewFunction('Timer','spTime');
